Sso\WebserviceBundle\Entity\Webservice\Type\UserApplicationAttribute:
    type: entity
    table: user_application_attribute
#    indexes:
#        idx_attribute:
#            columns:
#                - attribute_value
    id:
        Id:
            type: string
            length: 64
            fixed: true
            column: id
            generator:
                strategy: NONE
    fields:
        Name:
            type: string
            length: 64
            column: attribute_name
        Type:
            type: string
            length: 4
            column: attribute_type
        Value:
            type: text
            length: 65535
            column: attribute_value
    manyToOne:
        UserApplication:
            targetEntity: UserApplication
            inversedBy: Attributes
            joinColumn:
                name: userapplication_id
                referencedColumnName: id
                onDelete: CASCADE
        Attribute:
            targetEntity: Attribute
            inversedBy: UserApplicationAttributes
            joinColumn:
                name: attribute_id
                referencedColumnName: attribute_id
    lifecycleCallbacks:
        postLoad: [ onPostLoad ]
        prePersist: [ onPrePersist ]
        preUpdate: [ onPreUpdate ]
        preRemove: [ onPreRemove ]
